# ApplicationFramework
TKPShape
PGeom

# PGeom_Axis1Placement Class Reference

`#include <PGeom_Axis1Placement.hxx>`

Inheritance diagram for PGeom_Axis1Placement:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom_Axis1Placement ()
| Creates an Axis1Placement with Ax1 default value. .
Standard_EXPORT | PGeom_Axis1Placement (const gp_Ax1 &aAxis)
| Creates an Axis1Placement with <aaxis>. .
| PGeom_Axis1Placement (const Storage_stCONSTclCOM &a)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_Axis1Placement::PGeom_Axis1Placement | ( |  | ) |

Standard_EXPORT PGeom_Axis1Placement::PGeom_Axis1Placement | ( | const gp_Ax1 & | aAxis | ) |

PGeom_Axis1Placement::PGeom_Axis1Placement | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PGeom_Axis1Placement::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_AxisPlacement.

The documentation for this class was generated from the following file:

- PGeom_Axis1Placement.hxx